Retrieve an integration template
GET
/v1/integrationtemplate/{id}/
const url = 'https://example.com/v1/integrationtemplate/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://example.com/v1/integrationtemplate/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/ \ --header 'Authorization: Bearer <token>'Return a single integration template by its ID.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”id
required
string format: uuid
A UUID string identifying this integration template.
Responses
Section titled “Responses”Media typeapplication/json
A ModelSerializer that takes an additional fields argument that
controls which fields should be displayed.
object
id
required
string format: uuid
name
required
email- Notify by emailSlack Webhook- Notify by Slack WebhookSlack- Notify by Slackmobile application- Notify with Bleemeo Mobile Appwebhook- Notify by WebhookPagerDuty- Notify by PagerDutyTwilio- TwilioVictorOps- Notify by VictorOpsOpsgenie- Notify by OpsgenieMessageBird- Notify by MessageBirdTeams- Notify by TeamsMicrosoft Teams Workflows- Notify by Microsoft Teams WorkflowsOVH SMS- Notify by OVH SMSTelegram- Notify by TelegramDiscord- Notify by DiscordRocket Chat- Notify by Rocket ChatJira issue- Notify by Jira issueGitHub issue- Notify by GitHub issueGitLab issue- Notify by GitLab issue
string
parameter
required
object
key
additional properties
documentation
string format: uri
target_placeholder
string
target_type
0- none6- url7- email9- user8- phone number1- string
integer
deprecated
boolean
Example
{ "name": "email", "target_type": 0}